Subject: bug#45091: 27.1; M-x org-table-paste-rectanble

From: João Távora <[email-masked]>
Date: Mon, 7 Dec 2020 22:20:55 +0000

On Mon, Dec 7, 2020 at 3:39 PM João Távora <[email-masked]> wrote:
>
> On Mon, Dec 7, 2020 at 3:38 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: Tak Kunihiro <[email-masked]>
> > > Date: Mon, 07 Dec 2020 14:00:28 +0900
> > > Cc: [email-masked]
> > >
> > > I see error message "Marker does not point anywhere" during copy and
> > > paste operation between org-table on Emacs 27.1.
> > >
> > >     $ emacs -Q
> > >     M-x find-file FOLLOWING_FILE
> > >     Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
> > >     Select all cells of the first org-table
> > >     M-x org-table-copy-region
> > >     Click the top-left of the second org-table
> > >     M-x org-table-paste-rectangle
> > >     M-x undo
> > >     Click the top-left of the second org-table
> > >     M-x org-table-paste-rectangle
> > >
> > > Then I see following messages.  No error is observed on Emacs 26.3.
> > >
> > >     Mark set
> > >     Error in post-command-hook (jit-lock--antiblink-post-command): (error "Marker does not point anywhere")
> > >     Error during redisplay: (jit-lock-function 3145) signaled (error "Marker does not point anywhere")
> >
> > João, could you please look into this?  If it's possible to fix this
> > for Emacs 27.2, I'd like it to be fixed.
>
> Understood. Will do.

Can't reproduce this on Emacs master.  Will try on 27.1

I'm a bit unsure of what exactly "select all cells of the first org-table"
means, as I'm not an Org-table user.  I assume the region that comprises
those lines, but it has to come "inside" the table, otherwise the
"copy-region" command won't work.

João